%define majver %(echo %version | cut -d. -f1-2)
Name:          qt6-qtnetworkauth
Version:       6.3.2
Release:       1mamba
Summary:       Qt6 network authentication library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtnetworkauth-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END

%description
Qt6 network authentication library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtnetworkauth-everywhere-src-%{version}

%build
%cmake -d build \
  -G Ninja

cmake --build .

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR="%{buildroot}" cmake --install build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6NetworkAuth.so.*
%{_libdir}/metatypes/qt6networkauth_release_metatypes.json
%{_datadir}/qt6/modules/NetworkAuth.json
%doc LICENSE.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtNetworkAuth
%{_includedir}/qt6/QtNetworkAuth/*
%{_libdir}/libQt6NetworkAuth.prl
%{_libdir}/libQt6NetworkAuth.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_networkauth.pri
%{_libdir}/qt6/mkspecs/modules/qt_lib_networkauth_private.pri
%dir %{_libdir}/cmake/Qt6NetworkAuth
%{_libdir}/cmake/Qt6NetworkAuth/Qt6NetworkAuth*.cmake
%dir %{_libdir}/cmake/Qt6BuildInternals
%dir %{_libdir}/cmake/Qt6BuildInternals/StandaloneTests
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtNetworkAuthTestsConfig.cmake
%{_libdir}/pkgconfig/Qt6NetworkAuth.pc

%changelog
* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Wed Feb 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-3mamba
- remove requirement for qt6-qtbase-common

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
